'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _rollupPluginBabelHelpers = require('./_rollupPluginBabelHelpers-a9d50a9f.js');
var emotion = require('emotion');
var Role = require('reakit-system-palette/Role');
var contrast = require('reakit-system-palette/utils/contrast');
var fade = require('reakit-system-palette/utils/fade');
var palette = require('reakit-system-palette/utils/palette');
var lighten = require('reakit-system-palette/utils/lighten');

function _templateObject() {
  var data = _rollupPluginBabelHelpers._taggedTemplateLiteralLoose(["\n    display: block;\n    width: 100%;\n    border-radius: 0.2rem;\n    padding: 0.5em 0.75em;\n    font-size: 100%;\n    border: 1px solid ", ";\n    color: ", ";\n    margin: 0 !important;\n\n    &:focus {\n      border-color: ", ";\n    }\n  "]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}
function useInputProps(_ref, htmlProps) {
  var unstable_system = _ref.unstable_system;

  if (htmlProps === void 0) {
    htmlProps = {};
  }

  var _usePaletteRoleProps = Role.useRoleProps({
    unstable_system: unstable_system
  }),
      _usePaletteRoleProps$ = _usePaletteRoleProps.style,
      backgroundColor = _usePaletteRoleProps$.backgroundColor,
      originalBorderColor = _usePaletteRoleProps$.borderColor;

  var foreground = contrast.useContrast(backgroundColor) || "black";
  var color = lighten.useLighten(foreground, 0.3);
  var primary = palette.usePalette("primary");
  var borderColor = fade.useFade(foreground, 0.75);
  var focusBorderColor = lighten.useLighten(primary, 0.4);
  var formInput = emotion.css(_templateObject(), originalBorderColor || borderColor, color, originalBorderColor || focusBorderColor);
  return _rollupPluginBabelHelpers._objectSpread2(_rollupPluginBabelHelpers._objectSpread2({}, htmlProps), {}, {
    className: emotion.cx(formInput, htmlProps.className)
  });
}

exports.useInputProps = useInputProps;
